<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('leave_type_master', function (Blueprint $table) {
            $table->enum('Attn_type', ['A', 'L'])
                  ->default('A')
                  ->after('Is_Active');
        });
    }

    public function down()
    {
        Schema::table('leave_type_master', function (Blueprint $table) {
            $table->dropColumn('Attn_type');
        });
    }
};
